org.keycloak.saml.common.constants

## Enum JBossSAMLURIConstants

- java.lang.Object
- - java.lang.Enum<JBossSAMLURIConstants>
  - - org.keycloak.saml.common.constants.JBossSAMLURIConstants

- All Implemented Interfaces:
    Serializable, Comparable<JBossSAMLURIConstants>

      public enum JBossSAMLURIConstants
      extends Enum<JBossSAMLURIConstants>

  Define the constants based on URI
  Since:
    Dec 10, 2008
  Author:
    Anil.Saldhana@redhat.com

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AC_IP`
    `AC_PASSWORD`
    `AC_PASSWORD_PROTECTED_TRANSPORT`
    `AC_PREVIOUS_SESSION`
    `AC_TLS_CLIENT`
    `AC_UNSPECIFIED`
    `ASSERTION_NSURI`
    `ATTRIBUTE_FORMAT_BASIC`
    `ATTRIBUTE_FORMAT_UNSPECIFIED`
    `ATTRIBUTE_FORMAT_URI`
    `CLAIMS_AUTHENTICATION_METHOD`
    `CLAIMS_COMMON_NAME`
    `CLAIMS_DENY_ONLY_GROUP_SID`
    `CLAIMS_DENY_ONLY_PRIMARY_GROUP_SID`
    `CLAIMS_DENY_ONLY_PRIMARY_SID`
    `CLAIMS_EMAIL_ADDRESS`
    `CLAIMS_EMAIL_ADDRESS_2005`
    `CLAIMS_GIVEN_NAME`
    `CLAIMS_GROUP`
    `CLAIMS_GROUP_SID`
    `CLAIMS_NAME`
    `CLAIMS_NAME_IDENTIFIER`
    `CLAIMS_PRIMARY_GROUP_SID`
    `CLAIMS_PRIMARY_SID`
    `CLAIMS_PRIVATE_ID`
    `CLAIMS_PUID`
    `CLAIMS_ROLE`
    `CLAIMS_SURNAME`
    `CLAIMS_USER_PRINCIPAL_NAME`
    `CLAIMS_USER_PRINCIPAL_NAME_2005`
    `CLAIMS_WINDOWS_ACCOUNT_NAME`
    `ECP_PROFILE`
    `HOLDER_OF_KEY`
    `METADATA_ENTITY_ATTRIBUTES_NSURI`
    `METADATA_NSURI`
    `NAMEID_FORMAT_EMAIL`
    `NAMEID_FORMAT_ENTITY`
    `NAMEID_FORMAT_KERBEROS`
    `NAMEID_FORMAT_PERSISTENT`
    `NAMEID_FORMAT_TRANSIENT`
    `NAMEID_FORMAT_UNSPECIFIED`
    `NAMEID_FORMAT_WINDOWS_DOMAIN_NAME`
    `NAMEID_FORMAT_X509SUBJECTNAME`
    `PAOS_BINDING`
    `PROTOCOL_NSURI`
    `SAML_11_NS`
    `SAML_HTTP_ARTIFACT_BINDING`
    `SAML_HTTP_POST_BINDING`
    `SAML_HTTP_REDIRECT_BINDING`
    `SAML_PAOS_BINDING`
    `SAML_SOAP_BINDING`
    `SIGNATURE_DSA_SHA1`
    `SIGNATURE_RSA_SHA1`
    `STATUS_2MANY_RESPONSES`
    `STATUS_AUTHNFAILED`
    `STATUS_INVALID_ATTRNAMEVAL`
    `STATUS_INVALID_NAMEIDPOLICY`
    `STATUS_NO_AVAILABLE_IDP`
    `STATUS_NO_PASSIVE`
    `STATUS_NO_SUPPORTED_IDP`
    `STATUS_NOAUTHN_CTX`
    `STATUS_PARTIAL_LOGOUT`
    `STATUS_PROXYCOUNT_EXCEEDED`
    `STATUS_REQUEST_DENIED`
    `STATUS_REQUEST_UNSUPPORTED`
    `STATUS_REQUEST_VERSION_2HIGH`
    `STATUS_REQUEST_VERSION_2LOW`
    `STATUS_REQUEST_VERSION_DEPRECATED`
    `STATUS_REQUESTOR`
    `STATUS_RESOURCE_NOT_RECOGNIZED`
    `STATUS_RESPONDER`
    `STATUS_SUCCESS`
    `STATUS_UNKNOWN_ATTR_PROFILE`
    `STATUS_UNKNOWN_PRINCIPAL`
    `STATUS_UNSUPPORTED_BINDING`
    `STATUS_VERSION_MISMATCH`
    `SUBJECT_CONFIRMATION_BEARER`
    `TRANSFORM_C14N_EXCL_OMIT_COMMENTS`
    `TRANSFORM_ENVELOPED_SIGNATURE`
    `X500_NSURI`
    `X500_PREFIX`
    `XACML_NSURI`
    `XACML_SAML_NSURI`
    `XACML_SAML_PROTO_NSURI`
    `XML`
    `XMLDSIG_NSURI`
    `XMLENC_NSURI`
    `XMLSCHEMA_NSURI`
    `XSI_NSURI`
    `XSI_PREFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JBossSAMLURIConstants` | `from(String key)` Returns an enum constant based if known for the given `key`, or `null` otherwise.
    `String` | `get()`
    `URI` | `getUri()`
    `static JBossSAMLURIConstants` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JBossSAMLURIConstants[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AC_PASSWORD_PROTECTED_TRANSPORT

          public static final JBossSAMLURIConstants AC_PASSWORD_PROTECTED_TRANSPORT

    - #### AC_PASSWORD

          public static final JBossSAMLURIConstants AC_PASSWORD

    - #### AC_TLS_CLIENT

          public static final JBossSAMLURIConstants AC_TLS_CLIENT

    - #### AC_PREVIOUS_SESSION

          public static final JBossSAMLURIConstants AC_PREVIOUS_SESSION

    - #### AC_UNSPECIFIED

          public static final JBossSAMLURIConstants AC_UNSPECIFIED

    - #### AC_IP

          public static final JBossSAMLURIConstants AC_IP

    - #### ASSERTION_NSURI

          public static final JBossSAMLURIConstants ASSERTION_NSURI

    - #### ATTRIBUTE_FORMAT_BASIC

          public static final JBossSAMLURIConstants ATTRIBUTE_FORMAT_BASIC

    - #### ATTRIBUTE_FORMAT_URI

          public static final JBossSAMLURIConstants ATTRIBUTE_FORMAT_URI

    - #### ATTRIBUTE_FORMAT_UNSPECIFIED

          public static final JBossSAMLURIConstants ATTRIBUTE_FORMAT_UNSPECIFIED

    - #### CLAIMS_EMAIL_ADDRESS_2005

          public static final JBossSAMLURIConstants CLAIMS_EMAIL_ADDRESS_2005

    - #### CLAIMS_EMAIL_ADDRESS

          public static final JBossSAMLURIConstants CLAIMS_EMAIL_ADDRESS

    - #### CLAIMS_GIVEN_NAME

          public static final JBossSAMLURIConstants CLAIMS_GIVEN_NAME

    - #### CLAIMS_NAME

          public static final JBossSAMLURIConstants CLAIMS_NAME

    - #### CLAIMS_USER_PRINCIPAL_NAME_2005

          public static final JBossSAMLURIConstants CLAIMS_USER_PRINCIPAL_NAME_2005

    - #### CLAIMS_USER_PRINCIPAL_NAME

          public static final JBossSAMLURIConstants CLAIMS_USER_PRINCIPAL_NAME

    - #### CLAIMS_COMMON_NAME

          public static final JBossSAMLURIConstants CLAIMS_COMMON_NAME

    - #### CLAIMS_GROUP

          public static final JBossSAMLURIConstants CLAIMS_GROUP

    - #### CLAIMS_ROLE

          public static final JBossSAMLURIConstants CLAIMS_ROLE

    - #### CLAIMS_SURNAME

          public static final JBossSAMLURIConstants CLAIMS_SURNAME

    - #### CLAIMS_PRIVATE_ID

          public static final JBossSAMLURIConstants CLAIMS_PRIVATE_ID

    - #### CLAIMS_NAME_IDENTIFIER

          public static final JBossSAMLURIConstants CLAIMS_NAME_IDENTIFIER

    - #### CLAIMS_AUTHENTICATION_METHOD

          public static final JBossSAMLURIConstants CLAIMS_AUTHENTICATION_METHOD

    - #### CLAIMS_DENY_ONLY_GROUP_SID

          public static final JBossSAMLURIConstants CLAIMS_DENY_ONLY_GROUP_SID

    - #### CLAIMS_DENY_ONLY_PRIMARY_SID

          public static final JBossSAMLURIConstants CLAIMS_DENY_ONLY_PRIMARY_SID

    - #### CLAIMS_DENY_ONLY_PRIMARY_GROUP_SID

          public static final JBossSAMLURIConstants CLAIMS_DENY_ONLY_PRIMARY_GROUP_SID

    - #### CLAIMS_GROUP_SID

          public static final JBossSAMLURIConstants CLAIMS_GROUP_SID

    - #### CLAIMS_PRIMARY_GROUP_SID

          public static final JBossSAMLURIConstants CLAIMS_PRIMARY_GROUP_SID

    - #### CLAIMS_PRIMARY_SID

          public static final JBossSAMLURIConstants CLAIMS_PRIMARY_SID

    - #### CLAIMS_WINDOWS_ACCOUNT_NAME

          public static final JBossSAMLURIConstants CLAIMS_WINDOWS_ACCOUNT_NAME

    - #### CLAIMS_PUID

          public static final JBossSAMLURIConstants CLAIMS_PUID

    - #### HOLDER_OF_KEY

          public static final JBossSAMLURIConstants HOLDER_OF_KEY

    - #### METADATA_NSURI

          public static final JBossSAMLURIConstants METADATA_NSURI

    - #### METADATA_ENTITY_ATTRIBUTES_NSURI

          public static final JBossSAMLURIConstants METADATA_ENTITY_ATTRIBUTES_NSURI

    - #### NAMEID_FORMAT_TRANSIENT

          public static final JBossSAMLURIConstants NAMEID_FORMAT_TRANSIENT

    - #### NAMEID_FORMAT_PERSISTENT

          public static final JBossSAMLURIConstants NAMEID_FORMAT_PERSISTENT

    - #### NAMEID_FORMAT_UNSPECIFIED

          public static final JBossSAMLURIConstants NAMEID_FORMAT_UNSPECIFIED

    - #### NAMEID_FORMAT_EMAIL

          public static final JBossSAMLURIConstants NAMEID_FORMAT_EMAIL

    - #### NAMEID_FORMAT_X509SUBJECTNAME

          public static final JBossSAMLURIConstants NAMEID_FORMAT_X509SUBJECTNAME

    - #### NAMEID_FORMAT_WINDOWS_DOMAIN_NAME

          public static final JBossSAMLURIConstants NAMEID_FORMAT_WINDOWS_DOMAIN_NAME

    - #### NAMEID_FORMAT_KERBEROS

          public static final JBossSAMLURIConstants NAMEID_FORMAT_KERBEROS

    - #### NAMEID_FORMAT_ENTITY

          public static final JBossSAMLURIConstants NAMEID_FORMAT_ENTITY

    - #### PROTOCOL_NSURI

          public static final JBossSAMLURIConstants PROTOCOL_NSURI

    - #### ECP_PROFILE

          public static final JBossSAMLURIConstants ECP_PROFILE

    - #### PAOS_BINDING

          public static final JBossSAMLURIConstants PAOS_BINDING

    - #### SIGNATURE_DSA_SHA1

          public static final JBossSAMLURIConstants SIGNATURE_DSA_SHA1

    - #### SIGNATURE_RSA_SHA1

          public static final JBossSAMLURIConstants SIGNATURE_RSA_SHA1

    - #### SAML_HTTP_POST_BINDING

          public static final JBossSAMLURIConstants SAML_HTTP_POST_BINDING

    - #### SAML_HTTP_REDIRECT_BINDING

          public static final JBossSAMLURIConstants SAML_HTTP_REDIRECT_BINDING

    - #### SAML_SOAP_BINDING

          public static final JBossSAMLURIConstants SAML_SOAP_BINDING

    - #### SAML_PAOS_BINDING

          public static final JBossSAMLURIConstants SAML_PAOS_BINDING

    - #### SAML_HTTP_ARTIFACT_BINDING

          public static final JBossSAMLURIConstants SAML_HTTP_ARTIFACT_BINDING

    - #### SAML_11_NS

          public static final JBossSAMLURIConstants SAML_11_NS

    - #### SUBJECT_CONFIRMATION_BEARER

          public static final JBossSAMLURIConstants SUBJECT_CONFIRMATION_BEARER

    - #### STATUS_AUTHNFAILED

          public static final JBossSAMLURIConstants STATUS_AUTHNFAILED

    - #### STATUS_INVALID_ATTRNAMEVAL

          public static final JBossSAMLURIConstants STATUS_INVALID_ATTRNAMEVAL

    - #### STATUS_INVALID_NAMEIDPOLICY

          public static final JBossSAMLURIConstants STATUS_INVALID_NAMEIDPOLICY

    - #### STATUS_NOAUTHN_CTX

          public static final JBossSAMLURIConstants STATUS_NOAUTHN_CTX

    - #### STATUS_NO_AVAILABLE_IDP

          public static final JBossSAMLURIConstants STATUS_NO_AVAILABLE_IDP

    - #### STATUS_NO_PASSIVE

          public static final JBossSAMLURIConstants STATUS_NO_PASSIVE

    - #### STATUS_NO_SUPPORTED_IDP

          public static final JBossSAMLURIConstants STATUS_NO_SUPPORTED_IDP

    - #### STATUS_PARTIAL_LOGOUT

          public static final JBossSAMLURIConstants STATUS_PARTIAL_LOGOUT

    - #### STATUS_PROXYCOUNT_EXCEEDED

          public static final JBossSAMLURIConstants STATUS_PROXYCOUNT_EXCEEDED

    - #### STATUS_REQUEST_DENIED

          public static final JBossSAMLURIConstants STATUS_REQUEST_DENIED

    - #### STATUS_REQUEST_UNSUPPORTED

          public static final JBossSAMLURIConstants STATUS_REQUEST_UNSUPPORTED

    - #### STATUS_REQUEST_VERSION_DEPRECATED

          public static final JBossSAMLURIConstants STATUS_REQUEST_VERSION_DEPRECATED

    - #### STATUS_REQUEST_VERSION_2HIGH

          public static final JBossSAMLURIConstants STATUS_REQUEST_VERSION_2HIGH

    - #### STATUS_REQUEST_VERSION_2LOW

          public static final JBossSAMLURIConstants STATUS_REQUEST_VERSION_2LOW

    - #### STATUS_RESOURCE_NOT_RECOGNIZED

          public static final JBossSAMLURIConstants STATUS_RESOURCE_NOT_RECOGNIZED

    - #### STATUS_2MANY_RESPONSES

          public static final JBossSAMLURIConstants STATUS_2MANY_RESPONSES

    - #### STATUS_UNKNOWN_ATTR_PROFILE

          public static final JBossSAMLURIConstants STATUS_UNKNOWN_ATTR_PROFILE

    - #### STATUS_UNKNOWN_PRINCIPAL

          public static final JBossSAMLURIConstants STATUS_UNKNOWN_PRINCIPAL

    - #### STATUS_UNSUPPORTED_BINDING

          public static final JBossSAMLURIConstants STATUS_UNSUPPORTED_BINDING

    - #### STATUS_REQUESTOR

          public static final JBossSAMLURIConstants STATUS_REQUESTOR

    - #### STATUS_RESPONDER

          public static final JBossSAMLURIConstants STATUS_RESPONDER

    - #### STATUS_SUCCESS

          public static final JBossSAMLURIConstants STATUS_SUCCESS

    - #### STATUS_VERSION_MISMATCH

          public static final JBossSAMLURIConstants STATUS_VERSION_MISMATCH

    - #### TRANSFORM_ENVELOPED_SIGNATURE

          public static final JBossSAMLURIConstants TRANSFORM_ENVELOPED_SIGNATURE

    - #### TRANSFORM_C14N_EXCL_OMIT_COMMENTS

          public static final JBossSAMLURIConstants TRANSFORM_C14N_EXCL_OMIT_COMMENTS

    - #### XSI_PREFIX

          public static final JBossSAMLURIConstants XSI_PREFIX

    - #### X500_PREFIX

          public static final JBossSAMLURIConstants X500_PREFIX

    - #### X500_NSURI

          public static final JBossSAMLURIConstants X500_NSURI

    - #### XACML_NSURI

          public static final JBossSAMLURIConstants XACML_NSURI

    - #### XACML_SAML_NSURI

          public static final JBossSAMLURIConstants XACML_SAML_NSURI

    - #### XACML_SAML_PROTO_NSURI

          public static final JBossSAMLURIConstants XACML_SAML_PROTO_NSURI

    - #### XML

          public static final JBossSAMLURIConstants XML

    - #### XMLSCHEMA_NSURI

          public static final JBossSAMLURIConstants XMLSCHEMA_NSURI

    - #### XMLDSIG_NSURI

          public static final JBossSAMLURIConstants XMLDSIG_NSURI

    - #### XMLENC_NSURI

          public static final JBossSAMLURIConstants XMLENC_NSURI

    - #### XSI_NSURI

          public static final JBossSAMLURIConstants XSI_NSURI

  - ### Method Detail

    - #### values

          public static JBossSAMLURIConstants[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JBossSAMLURIConstants c : JBossSAMLURIConstants.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JBossSAMLURIConstants valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public String get()

    - #### getUri

          public URI getUri()

    - #### from

          public static JBossSAMLURIConstants from(String key)

      Returns an enum constant based if known for the given `key`, or `null` otherwise.
      Parameters:
        `key` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.